Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.provider
Class JCERSAPrivateKey

    java.lang.Object
      org.bouncycastle.jce.provider.JCERSAPrivateKey

All Implemented Interfaces:
  java.io.Serializable, java.security.interfaces.RSAKey, java.security.interfaces.RSAPrivateKey, java.security.Key, java.security.PrivateKey, PKCS12BagAttributeCarrier

Direct Known Subclasses:
  JCERSAPrivateCrtKey

    public class JCERSAPrivateKey

extends java.lang.Object
implements java.security.interfaces.RSAPrivateKey, PKCS12BagAttributeCarrier

See Also:
  Serialized Form

Field Summary
`protected java.math.BigInteger` `modulus`
`protected java.math.BigInteger` `privateExponent`

Constructor Summary
`protected` `JCERSAPrivateKey()`

Method Summary
`boolean` `equals(java.lang.Object o)`
`java.lang.String` `getAlgorithm()`
`DEREncodable` `getBagAttribute(DERObjectIdentifier oid)`
`java.util.Enumeration` `getBagAttributeKeys()`
`byte[]` `getEncoded()`
`java.lang.String` `getFormat()`
`java.math.BigInteger` `getModulus()`
`java.math.BigInteger` `getPrivateExponent()`
`int` `hashCode()`
`void` `setBagAttribute(DERObjectIdentifier oid, DEREncodable attribute)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modulus

    protected java.math.BigInteger modulus

### privateExponent

    protected java.math.BigInteger privateExponent

Constructor Detail

### JCERSAPrivateKey

    protected JCERSAPrivateKey()

Method Detail

### getModulus

    public java.math.BigInteger getModulus()

  Specified by:
    `getModulus` in interface `java.security.interfaces.RSAKey`

### getPrivateExponent

    public java.math.BigInteger getPrivateExponent()

  Specified by:
    `getPrivateExponent` in interface `java.security.interfaces.RSAPrivateKey`

### getAlgorithm

    public java.lang.String getAlgorithm()

  Specified by:
    `getAlgorithm` in interface `java.security.Key`

### getFormat

    public java.lang.String getFormat()

  Specified by:
    `getFormat` in interface `java.security.Key`

### getEncoded

    public byte[] getEncoded()

  Specified by:
    `getEncoded` in interface `java.security.Key`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### setBagAttribute

    public void setBagAttribute(DERObjectIdentifier oid,
                                DEREncodable attribute)

  Specified by:
    `setBagAttribute` in interface `PKCS12BagAttributeCarrier`

### getBagAttribute

    public DEREncodable getBagAttribute(DERObjectIdentifier oid)

  Specified by:
    `getBagAttribute` in interface `PKCS12BagAttributeCarrier`

### getBagAttributeKeys

    public java.util.Enumeration getBagAttributeKeys()

  Specified by:
    `getBagAttributeKeys` in interface `PKCS12BagAttributeCarrier`

Bouncy Castle Cryptography Library 1.45